com.ibm.openpages.api.configuration

## Interface IFindInCondition

- All Superinterfaces:
    IFindCondition

      public interface IFindInCondition
      extends IFindCondition

  The interface that represents an in-condition to query configuration data
  Since:
    8.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.ibm.openpages.api.configuration.IFindCondition

      `IFindCondition.ConditionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute()` Returns the attribute for the condition
    `java.util.List<java.lang.String>` | `getValues()` Returns the list of values to match
    `boolean` | `isInvertMatch()` Returns if the condition inverts the match
    `void` | `setAttribute(java.lang.String attribute)` Assigns the attribute for the condition
    `void` | `setInvertMatch(boolean invertMatch)` Assigns the flag to invert the match
    `void` | `setValues(java.util.List<java.lang.String> values)` Assigns the list of values to match

    - ### Methods inherited from interface com.ibm.openpages.api.configuration.IFindCondition

      `getType`

- - ### Method Detail

    - #### isInvertMatch

          boolean isInvertMatch()

      Returns if the condition inverts the match
      Returns:

    - #### setInvertMatch

          void setInvertMatch(boolean invertMatch)

      Assigns the flag to invert the match
      Parameters:
        `invertMatch` -

    - #### getAttribute

          java.lang.String getAttribute()

      Returns the attribute for the condition
      Returns:

    - #### setAttribute

          void setAttribute(java.lang.String attribute)

      Assigns the attribute for the condition
      Parameters:
        `attribute` -

    - #### getValues

          java.util.List<java.lang.String> getValues()

      Returns the list of values to match
      Returns:

    - #### setValues

          void setValues(java.util.List<java.lang.String> values)

      Assigns the list of values to match
      Parameters:
        `values` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.